Subject: Re: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Oct 2019 12:30:31 +0300

> From: Carlos Pita <[email-masked]>
> Date: Mon, 14 Oct 2019 22:50:11 -0300
> Cc: Alan Third <[email-masked]>, Robert Pluim <[email-masked]>, [email-masked]
> 
> Also, the scaling factor should probably be exposed to frame.c, since
> it sets a default width of 8 that assumes a standard dpi monitor:
> 
> gui_set_left/right_fringe (struct frame *f, Lisp_Object new_value,
> Lisp_Object old_value)
>   ...
>   new_width = (RANGED_FIXNUMP (-INT_MAX, new_value, INT_MAX)
>        ? eabs (XFIXNUM (new_value)) : 8);
> 
> I've reached a point from where I'm unable to continue ahead on my
> own, except for writing a private patch targeting my specific
> resolution and backend. I would like to contribute but I see no way
> without extending the interface and that's far beyond than what I can
> decide.

Extending the frame redisplay interface is a no-brainer, please go
ahead.